com.mysql.cj.exceptions

## Class StatementIsClosedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.mysql.cj.exceptions.CJException
        - - com.mysql.cj.exceptions.StatementIsClosedException

All Implemented Interfaces:
  Serializable

    public class StatementIsClosedException
    extends CJException

Operation attempted on already closed Statement

See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID`

### Fields inherited from class com.mysql.cj.exceptions.CJException

`exceptionMessage`

### Constructor Summary

Constructors
`` `StatementIsClosedException()`
`` `StatementIsClosedException(String message)`
`` `StatementIsClosedException(String message, Throwable cause)`
`protected` `StatementIsClosedException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)`
`` `StatementIsClosedException(Throwable cause)`

### Method Summary

### Methods inherited from class com.mysql.cj.exceptions.CJException

`appendMessage, getMessage, getSQLState, getVendorCode, isTransient, setSQLState, setTransient, setVendorCode`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### StatementIsClosedException

    public StatementIsClosedException()

#### StatementIsClosedException

    public StatementIsClosedException(String message)

#### StatementIsClosedException

    public StatementIsClosedException(String message,
                                      Throwable cause)

#### StatementIsClosedException

    public StatementIsClosedException(Throwable cause)

#### StatementIsClosedException

    protected StatementIsClosedException(String message,
                                         Throwable cause,
                                         boolean enableSuppression,
                                         boolean writableStackTrace)

Copyright © 2016, 2025, Oracle and/or its affiliates.